%define name	lxsession-edit
%define version 0.2.0
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	LXSession Editor
Source:		%{name}-%{version}.tar.xz
URL:            http://lxde.sourceforge.net/
Group:		Graphical desktop/LXDE
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
LXSession Editor

%description -l de
Die LXDE Sitzung nach belieben bearbeiten.

%package i10n
Summary:    	Internationalisation files for lxsession
Summary(de):	Internationales Sprachpaket für lxsession
Group:      	System/Internationalization
Requires:   	%{name}
Requires:       glibc >= 2.12.1
Requires:       libstdc++6 >= 4.5.2

%description i10n
Internationalisation files for lxsession

%description i10n -l de
Internationales Sprachpaket für lxsession.

%prep
%setup -q
rm -rf $RPM_BUILD_ROOT

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=LXSession-Edit
Name[fr]=Éditer la Session LXDE
Name[de]=LXSession anpassen
Comment=LXSession Editor
Comment[fr]=Éditeur de Session LXDE
Comment[de]=Die LXDE Sitzung bearbeiten
Exec=lxsession-edit
Icon=lxterminal.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;DesktopSettings;X-MandrivaLinux-System-Configuration;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.ui

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%changelog
* Sat Jul 30 2011 leiche <meisssw01 at aol.com> 0.2.0-1leiche2011
- 0.2.0

* Sun Jun 26 2011 leiche <meisssw01 at aol.com> 0.1.1-3leiche2011
- add requires for new glibc
- add multiple languages in desktop file
- fix german synaptic description
- convert source archive in tar.xz

* Sat Oct 03 2009 Neal <nealbrks0@gmail.com> 0.1.1-2pclos2010
- gcc update

* Mon Aug 03 2009 Anikan <mamifer0 at msn dot com> 0.1.1-1pclos2009
- new version

* Wed May 20 2009 pcserver <pcserver@hushmail.com> 0.1-4pclos2009
- fix typo in rpm group

* Wed May 20 2009 pcserver <pcserver@hushmail.com> 0.1-3pclos2009
- fix rpm group

* Sun May 03 2009 pcserver <pcserver@hushmail.com> 0.1-2pclos2009
- fix menu file

* Tue Dec 02 2008 KDulcimer <kdulcimer@gmail.com> 0.1-1tinyme2008
- Build for PCLinuxOS
